Pixxel

List Jobs

List Jobs for a given workflow id

GET/v0/workflows/{workflow_id}/jobs
Authorisations
AuthorizationString
Path Parameters
workflow_idstringrequired
Unique identifier for the workflow to list jobs from
Query Parameters
idstring
Filter by specific job ID
statusstring
Filter jobs by their current status (e.g., running, completed)
created_bystring
Filter jobs by user who created them
created_onstring
Filter jobs by creation date
Response
application/json
OK
jobsobject[]
Show child attributes
List Jobs
1curl -X GET 'https://api.pixxel.space/v0/workflows/{workflow_id}/jobs' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"jobs": [
{
"created_by": "string",
"id": "string",
"cost": 0,
"workflow_id": "string",
"created_at": "string",
"updated_at": "string",
"finished_at": "string",
"estimated_duration": 0,
"progress": "string",
"status": "string",
"time_taken": "string"
}
]
}